Bug 1130903 - [xmlrpc]User can not filter case via estimated_time when invoke TestCase.filter_count method.
Summary: [xmlrpc]User can not filter case via estimated_time when invoke TestCase.fil...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 07:34 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-08-18 07:34:51 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.There is a case with estimated_time '11:22:33'.

2.invoke n.TestCase.filter_count( {'case_id__in': [293486], 'estimated_time': '11:22:33'})--->Fault: <Fault 400: ["invalid literal for int() with base 10: '11:22:33'"]>

3.invoke n.TestCase.filter_count( {'case_id__in': [293486], 'estimated_time': '11h22m33s'})--->Fault: <Fault 400: ["invalid literal for int() with base 10: '11h22m33s'"]>


Actual results:


Expected results:
Both step 2 and step 3, system can filter the case.

Additional info:

Comment 1 Tingting Zhao 2014-08-19 03:18:29 UTC
verify on devel server with nitrate 3.8.10-1========>pass
verify steps are the same as the description.


Note You need to log in before you can comment on or make changes to this bug.